<?php

namespace Daemon;

use Api\PhpServices\Daemon\DaemonServiceInterface;

class Colonelorder implements DaemonServiceInterface
{
    public function run()
    {
        //只在10:01执行逻辑
        if(date('H') != 10 || date('i')!= 1) {
            sleep(5);
            return false;
        }
        \Yaf\Application::app()->bootstrap()->getDispatcher()->dispatch(new \Yaf\Request\Simple('', 'cli', 'colonelorder', 'index', []));
        sleep(60);
    }
}